## linux-restricted-modules 5.15.0-153.163

=== debian/ancillary/linux-restricted-generate/debian/changelog ===
linux-restricted-generate (5.15.0-153.163) jammy; urgency=medium

  * Main version: 5.15.0-153.163

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/tracking-bug -- resync from main package

 -- Manuel Diewald <manuel.diewald@canonical.com>  Thu, 07 Aug 2025 17:33:04 +0200
