=== debian/ancillary/linux-restricted-signatures/debian/changelog ===
linux-restricted-signatures (5.15.0-153.163+1) jammy; urgency=medium

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/dkms-versions -- update from kernel-versions
      (adhoc/s2025.07.14)

 -- Andy Whitcroft <apw@canonical.com>  Thu, 28 Aug 2025 21:23:36 +0100

linux-restricted-signatures (5.15.0-153.163) jammy; urgency=medium

  * Main version: 5.15.0-153.163

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/tracking-bug -- resync from main package

 -- Manuel Diewald <manuel.diewald@canonical.com>  Thu, 07 Aug 2025 17:33:04 +0200

linux-restricted-signatures (5.15.0-152.162) jammy; urgency=medium

  * Main version: 5.15.0-152.162

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/tracking-bug -- resync from main package

 -- Stefan Bader <stefan.bader@canonical.com>  Wed, 23 Jul 2025 11:22:25 +0200

linux-restricted-signatures (5.15.0-151.161) jammy; urgency=medium

  * Main version: 5.15.0-151.161

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/tracking-bug -- resync from main package
    - [Packaging] debian/dkms-versions -- update from kernel-versions
      (main/s2025.06.16)

 -- Stefan Bader <stefan.bader@canonical.com>  Tue, 22 Jul 2025 16:04:49 +0200
