=== debian/changelog ===
linux-restricted-modules (5.15.0-153.163+1) jammy; urgency=medium

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/dkms-versions -- update from kernel-versions
      (adhoc/s2025.07.14)

 -- Andy Whitcroft <apw@canonical.com>  Thu, 28 Aug 2025 21:23:36 +0100
