=== debian/ancillary/linux-restricted-signatures/debian/changelog ===
linux-restricted-signatures (5.15.0-156.166+1) jammy; urgency=medium

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/dkms-versions -- update from kernel-versions
      (adhoc/2025.08.11)

 -- Andy Whitcroft <apw@canonical.com>  Fri, 12 Sep 2025 16:18:48 +0100

linux-restricted-signatures (5.15.0-156.166) jammy; urgency=medium

  * Main version: 5.15.0-156.166

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/tracking-bug -- resync from main package

 -- Mehmet Basaran <mehmet.basaran@canonical.com>  Sat, 09 Aug 2025 02:49:05 +0300

linux-restricted-signatures (5.15.0-154.164) jammy; urgency=medium

  * Main version: 5.15.0-154.164

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/tracking-bug -- resync from main package

 -- Mehmet Basaran <mehmet.basaran@canonical.com>  Fri, 08 Aug 2025 13:45:55 +0300
