=== debian/control ===
--- 
+++ 
@@ -17,16 +17,14 @@
 XSC-Ubuntu-Nvidia-Dependencies:
  nvidia-graphics-drivers-390 (= 390.157-0ubuntu0.22.04.2),
  nvidia-graphics-drivers-450-server (= 450.248.02-0ubuntu0.22.04.1),
- nvidia-graphics-drivers-470 (= 470.256.02-0ubuntu0.22.04.1),
- nvidia-graphics-drivers-470-server (= 470.256.02-0ubuntu0.22.04.1),
  nvidia-graphics-drivers-535 (= 535.247.01-0ubuntu0.22.04.1),
- nvidia-graphics-drivers-535-server (= 535.247.01-0ubuntu0.22.04.1),
+ nvidia-graphics-drivers-535-server (= 535.261.03-0ubuntu0.22.04.1),
  nvidia-graphics-drivers-550 (= 550.163.01-0ubuntu0.22.04.1),
  nvidia-graphics-drivers-565-server (= 565.57.01-0ubuntu0.22.04.4),
- nvidia-graphics-drivers-570 (= 570.169-0ubuntu0.22.04.1),
- nvidia-graphics-drivers-570-server (= 570.158.01-0ubuntu0.22.04.1),
- nvidia-graphics-drivers-575 (= 575.64.03-0ubuntu0.22.04.1),
- nvidia-graphics-drivers-575-server (= 575.57.08-0ubuntu0.22.04.2),
+ nvidia-graphics-drivers-570 (= 570.172.08-0ubuntu0.22.04.1),
+ nvidia-graphics-drivers-570-server (= 570.172.08-0ubuntu0.22.04.1),
+ nvidia-graphics-drivers-580 (= 580.65.06-0ubuntu0.22.04.4),
+ nvidia-graphics-drivers-580-server (= 580.65.06-0ubuntu0.22.04.1),
 Standards-Version: 3.9.4
 Vcs-Git: git://git.launchpad.net/~ubuntu-kernel/ubuntu/+source/linux-restricted-modules/+git/jammy
 
@@ -154,18 +152,6 @@
 Description: Extra drivers for nvidia-390 for the generic-5.15 flavour
  Install extra signed nvidia-390 modules compatible with the generic-5.15 flavour.
 
-Package: linux-modules-nvidia-470-generic-5.15
-Build-Profiles: <!stage1>
-Architecture: amd64 
-Section: kernel
-Provides: ${dkms:nvidia-470-modules}, nvidia-prebuilt-kernel
-Depends:
- ${misc:Depends},
- linux-modules-nvidia-470-5.15.0-156-generic (= ${binary:Version}),
- ${nvk:nvidia-470},
-Description: Extra drivers for nvidia-470 for the generic-5.15 flavour
- Install extra signed nvidia-470 modules compatible with the generic-5.15 flavour.
-
 Package: linux-modules-nvidia-535-generic-5.15
 Build-Profiles: <!stage1>
 Architecture: amd64 arm64 
@@ -238,29 +224,29 @@
 Description: Extra drivers for nvidia-570-open for the generic-5.15 flavour
  Install extra signed nvidia-570-open modules compatible with the generic-5.15 flavour.
 
-Package: linux-modules-nvidia-575-generic-5.15
-Build-Profiles: <!stage1>
-Architecture: amd64 arm64 
-Section: kernel
-Provides: ${dkms:nvidia-575-modules}, nvidia-prebuilt-kernel
-Depends:
- ${misc:Depends},
- linux-modules-nvidia-575-5.15.0-156-generic (= ${binary:Version}),
- ${nvk:nvidia-575},
-Description: Extra drivers for nvidia-575 for the generic-5.15 flavour
- Install extra signed nvidia-575 modules compatible with the generic-5.15 flavour.
-
-Package: linux-modules-nvidia-575-open-generic-5.15
-Build-Profiles: <!stage1>
-Architecture: amd64 arm64 
-Section: kernel
-Provides: ${dkms:nvidia-575-open-modules}, nvidia-prebuilt-kernel
-Depends:
- ${misc:Depends},
- linux-modules-nvidia-575-open-5.15.0-156-generic (= ${binary:Version}),
- ${nvk:nvidia-575-open},
-Description: Extra drivers for nvidia-575-open for the generic-5.15 flavour
- Install extra signed nvidia-575-open modules compatible with the generic-5.15 flavour.
+Package: linux-modules-nvidia-580-generic-5.15
+Build-Profiles: <!stage1>
+Architecture: amd64 arm64 
+Section: kernel
+Provides: ${dkms:nvidia-580-modules}, nvidia-prebuilt-kernel
+Depends:
+ ${misc:Depends},
+ linux-modules-nvidia-580-5.15.0-156-generic (= ${binary:Version}),
+ ${nvk:nvidia-580},
+Description: Extra drivers for nvidia-580 for the generic-5.15 flavour
+ Install extra signed nvidia-580 modules compatible with the generic-5.15 flavour.
+
+Package: linux-modules-nvidia-580-open-generic-5.15
+Build-Profiles: <!stage1>
+Architecture: amd64 arm64 
+Section: kernel
+Provides: ${dkms:nvidia-580-open-modules}, nvidia-prebuilt-kernel
+Depends:
+ ${misc:Depends},
+ linux-modules-nvidia-580-open-5.15.0-156-generic (= ${binary:Version}),
+ ${nvk:nvidia-580-open},
+Description: Extra drivers for nvidia-580-open for the generic-5.15 flavour
+ Install extra signed nvidia-580-open modules compatible with the generic-5.15 flavour.
 
 Package: linux-modules-nvidia-450-server-generic-5.15
 Build-Profiles: <!stage1>
@@ -274,7 +260,21 @@
 Description: Extra drivers for nvidia-450-server for the generic-5.15 flavour
  Install extra signed nvidia-450-server modules compatible with the generic-5.15 flavour.
 
-Package: linux-modules-nvidia-470-server-generic-5.15
-Build-Profiles: <!stage1>
-Architecture: amd64 
-Section: kernel
+Package: linux-modules-nvidia-535-server-generic-5.15
+Build-Profiles: <!stage1>
+Architecture: amd64 arm64 
+Section: kernel
+Provides: ${dkms:nvidia-535-server-modules}, nvidia-prebuilt-kernel
+Depends:
+ ${misc:Depends},
+ linux-modules-nvidia-535-server-5.15.0-156-generic (= ${binary:Version}),
+ ${nvk:nvidia-535-server},
+Description: Extra drivers for nvidia-535-server for the generic-5.15 flavour
+ Install extra signed nvidia-535-server modules compatible with the generic-5.15 flavour.
+
+Package: linux-modules-nvidia-535-server-open-generic-5.15
+Build-Profiles: <!stage1>
+Architecture: amd64 arm64 
+Section: kernel
+Provides: ${dkms:nvidia-535-server-open-modules}, nvidia-prebuilt-kernel
+Depends:
