=== debian/ancillary/linux-restricted-signatures/debian/changelog ===
linux-restricted-signatures (5.15.0-157.167) jammy; urgency=medium

  * Main version: 5.15.0-157.167

  * Packaging resync (LP: #1786013)
    - [Packaging] resync git-ubuntu-log
    - [Packaging] debian/tracking-bug -- resync from main package
    - [Packaging] debian/dkms-versions -- update from kernel-versions
      (main/s2025.08.11)

 -- Manuel Diewald <manuel.diewald@canonical.com>  Wed, 17 Sep 2025 22:57:17 +0200
