=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
  curl,
  dkms,
  gawk,
- linux-headers-5.15.0-156-generic (>= 5.15.0-156.166) [amd64 arm64],
- linux-headers-5.15.0-156-generic-64k (>= 5.15.0-156.166) [arm64],
+ linux-headers-5.15.0-157-generic (>= 5.15.0-157.167) [amd64 arm64],
+ linux-headers-5.15.0-157-generic-64k (>= 5.15.0-157.167) [arm64],
  lsb-release,
  python3,
  python3-apt,
@@ -147,7 +147,7 @@
 Provides: ${dkms:nvidia-390-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-390-5.15.0-156-generic (= ${binary:Version}),
+ linux-modules-nvidia-390-5.15.0-157-generic (= ${binary:Version}),
  ${nvk:nvidia-390},
 Description: Extra drivers for nvidia-390 for the generic-5.15 flavour
  Install extra signed nvidia-390 modules compatible with the generic-5.15 flavour.
@@ -159,7 +159,7 @@
 Provides: ${dkms:nvidia-535-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-535-5.15.0-156-generic (= ${binary:Version}),
+ linux-modules-nvidia-535-5.15.0-157-generic (= ${binary:Version}),
  ${nvk:nvidia-535},
 Description: Extra drivers for nvidia-535 for the generic-5.15 flavour
  Install extra signed nvidia-535 modules compatible with the generic-5.15 flavour.
@@ -171,7 +171,7 @@
 Provides: ${dkms:nvidia-535-open-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-535-open-5.15.0-156-generic (= ${binary:Version}),
+ linux-modules-nvidia-535-open-5.15.0-157-generic (= ${binary:Version}),
  ${nvk:nvidia-535-open},
 Description: Extra drivers for nvidia-535-open for the generic-5.15 flavour
  Install extra signed nvidia-535-open modules compatible with the generic-5.15 flavour.
@@ -183,7 +183,7 @@
 Provides: ${dkms:nvidia-550-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-550-5.15.0-156-generic (= ${binary:Version}),
+ linux-modules-nvidia-550-5.15.0-157-generic (= ${binary:Version}),
  ${nvk:nvidia-550},
 Description: Extra drivers for nvidia-550 for the generic-5.15 flavour
  Install extra signed nvidia-550 modules compatible with the generic-5.15 flavour.
@@ -195,7 +195,7 @@
 Provides: ${dkms:nvidia-550-open-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-550-open-5.15.0-156-generic (= ${binary:Version}),
+ linux-modules-nvidia-550-open-5.15.0-157-generic (= ${binary:Version}),
  ${nvk:nvidia-550-open},
 Description: Extra drivers for nvidia-550-open for the generic-5.15 flavour
  Install extra signed nvidia-550-open modules compatible with the generic-5.15 flavour.
@@ -207,7 +207,7 @@
 Provides: ${dkms:nvidia-570-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-570-5.15.0-156-generic (= ${binary:Version}),
+ linux-modules-nvidia-570-5.15.0-157-generic (= ${binary:Version}),
  ${nvk:nvidia-570},
 Description: Extra drivers for nvidia-570 for the generic-5.15 flavour
  Install extra signed nvidia-570 modules compatible with the generic-5.15 flavour.
@@ -219,7 +219,7 @@
 Provides: ${dkms:nvidia-570-open-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-570-open-5.15.0-156-generic (= ${binary:Version}),
+ linux-modules-nvidia-570-open-5.15.0-157-generic (= ${binary:Version}),
  ${nvk:nvidia-570-open},
 Description: Extra drivers for nvidia-570-open for the generic-5.15 flavour
  Install extra signed nvidia-570-open modules compatible with the generic-5.15 flavour.
@@ -231,7 +231,7 @@
 Provides: ${dkms:nvidia-580-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-580-5.15.0-156-generic (= ${binary:Version}),
+ linux-modules-nvidia-580-5.15.0-157-generic (= ${binary:Version}),
  ${nvk:nvidia-580},
 Description: Extra drivers for nvidia-580 for the generic-5.15 flavour
  Install extra signed nvidia-580 modules compatible with the generic-5.15 flavour.
@@ -243,7 +243,7 @@
 Provides: ${dkms:nvidia-580-open-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-580-open-5.15.0-156-generic (= ${binary:Version}),
+ linux-modules-nvidia-580-open-5.15.0-157-generic (= ${binary:Version}),
  ${nvk:nvidia-580-open},
 Description: Extra drivers for nvidia-580-open for the generic-5.15 flavour
  Install extra signed nvidia-580-open modules compatible with the generic-5.15 flavour.
@@ -255,7 +255,7 @@
 Provides: ${dkms:nvidia-450-server-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-450-server-5.15.0-156-generic (= ${binary:Version}),
+ linux-modules-nvidia-450-server-5.15.0-157-generic (= ${binary:Version}),
  ${nvk:nvidia-450-server},
 Description: Extra drivers for nvidia-450-server for the generic-5.15 flavour
  Install extra signed nvidia-450-server modules compatible with the generic-5.15 flavour.
@@ -267,7 +267,7 @@
 Provides: ${dkms:nvidia-535-server-modules}, nvidia-prebuilt-kernel
 Depends:
  ${misc:Depends},
- linux-modules-nvidia-535-server-5.15.0-156-generic (= ${binary:Version}),
+ linux-modules-nvidia-535-server-5.15.0-157-generic (= ${binary:Version}),
  ${nvk:nvidia-535-server},
 Description: Extra drivers for nvidia-535-server for the generic-5.15 flavour
  Install extra signed nvidia-535-server modules compatible with the generic-5.15 flavour.
